For the complete documentation index, see llms.txt. This page is also available as Markdown.

Reporting

Report API usage

post

Validates the submitted dataset and indicator IDs and registers confirmed API usage. Returns 201 Created when at least one valid ID is registered, or 200 OK when none of the submitted IDs are valid and nothing is registered.

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Body
organization_idstring · min: 1Required

The organization the data was served to

dataset_idsinteger[] · max: 10000Required

IDs of datasets consumed

indicator_idsinteger[] · max: 100Required

IDs of indicators consumed

Responses
200

No valid IDs to register

application/json
post/v3/api1/reports
POST /v3/api1/reports HTTP/1.1
Host: api.ecoinvent.org
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 64

{
  "organization_id": "text",
  "dataset_ids": [
    1
  ],
  "indicator_ids": [
    1
  ]
}
{
  "dataset_ids": [],
  "indicator_ids": []
}

Last updated

Was this helpful?